﻿using System;
using System.Collections.Generic;
using System.Linq;
using System.ServiceModel;
using System.ServiceModel.Web;
using System.Text;
using System.Threading.Tasks;

namespace DynamicActivitySample.Service
{
    [ServiceContract]
    public interface IDynamicActivityService
    {
        [OperationContract]
        [WebGet(UriTemplate = "/")]
        string About();

        [OperationContract]
        [WebInvoke(Method = "POST", RequestFormat = WebMessageFormat.Json, ResponseFormat = WebMessageFormat.Json, UriTemplate = "/SampleDynamicRequest")]
        void SampleDynamicRequest(DynamicRequest request);

        [OperationContract]
        [WebInvoke(Method = "GET", RequestFormat = WebMessageFormat.Json, ResponseFormat = WebMessageFormat.Json, UriTemplate = "/SampleDynamicResponse/{action}")]
        string SampleDynamicResponse(string action);
    }
}
